CREATE TABLE cst_work_definitions_gt (
    ORGANIZATION_ID                 NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)    NOT NULL,
    AS_OF_DATE                      TIMESTAMP(6)     NOT NULL,
    WORK_DEFINITION_ID              NUMBER(18, 0)    NOT NULL,
    WORK_DEFINITION_CODE            VARCHAR2(120)    NOT NULL,
    VERSION                         VARCHAR2(40)     NOT NULL,
    QUANTITY                        NUMBER           NOT NULL,
    UOM_CODE                        VARCHAR2(12)     NOT NULL,
    WORK_METHOD_ID                  NUMBER(18, 0)    NOT NULL,
    WORK_DEFINITION_TYPE            VARCHAR2(120)    NOT NULL,
    SERIAL_TRACKING_FLAG            VARCHAR2(4)      NOT NULL,
    COMPLETION_SUBINVENTORY_NAME    VARCHAR2(40) ,
    COMPLETION_LOCATOR_ID           NUMBER(18, 0),
    PRODUCTION_PRIORITY             NUMBER       ,
    BILL_SEQUENCE_ID                NUMBER(18, 0),
    WORK_DEF_NAME                   VARCHAR2(480),
    WORK_DEF_NAME_DESCRIPTION       VARCHAR2(960),
    EFFECTIVE_FROM_DATE             TIMESTAMP(6)     NOT NULL,
    EFFECTIVE_TO_DATE               TIMESTAMP(6) ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ORGANIZATION_ID                 NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)    NOT NULL,
    AS_OF_DATE                      TIMESTAMP(6)     NOT NULL,
    WORK_DEFINITION_ID              NUMBER(18, 0)    NOT NULL,
    WORK_DEFINITION_CODE            VARCHAR2(120)    NOT NULL,
    VERSION                         VARCHAR2(40)     NOT NULL,
    QUANTITY                        NUMBER           NOT NULL,
    UOM_CODE                        VARCHAR2(12)     NOT NULL,
    WORK_METHOD_ID                  NUMBER(18, 0)    NOT NULL,
    WORK_DEFINITION_TYPE            VARCHAR2(120)    NOT NULL,
    SERIAL_TRACKING_FLAG            VARCHAR2(4)      NOT NULL,
    COMPLETION_SUBINVENTORY_NAME    VARCHAR2(40) ,
    COMPLETION_LOCATOR_ID           NUMBER(18, 0),
    PRODUCTION_PRIORITY             NUMBER       ,
    BILL_SEQUENCE_ID                NUMBER(18, 0),
    WORK_DEF_NAME                   VARCHAR2(480),
    WORK_DEF_NAME_DESCRIPTION       VARCHAR2(960),
    EFFECTIVE_FROM_DATE             TIMESTAMP(6)     NOT NULL,
    EFFECTIVE_TO_DATE               TIMESTAMP(6) ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128)
);
